// import { mapGetters } from 'vuex'
// import ECharts from 'vue-echarts/components/ECharts'
// import 'echarts/lib/chart/bar'
// import 'echarts/lib/chart/line'
// import 'echarts/lib/chart/pie'
// import 'echarts/lib/chart/map'
// import 'echarts/lib/chart/radar'
// import 'echarts/lib/chart/scatter'
// import 'echarts/lib/chart/effectScatter'
// import 'echarts/lib/component/tooltip'
// import 'echarts/lib/component/polar'
// import 'echarts/lib/component/geo'
// import 'echarts/lib/component/legend'
// import 'echarts/lib/component/title'
// import 'echarts/lib/component/visualMap'
// import 'echarts/lib/component/dataset'
// import 'echarts/map/js/world'
// import 'zrender/lib/svg/svg'
// import { listAllShop } from '@/api/sysUnit'
// import { statistics } from '@/api/dashboard'
// export default {
//
//   name: 'dashboard',
//   components: {
//     chart: ECharts,
//     vChart: ECharts
//   },
//   data() {
//     const data = []
//     for (let i = 0; i <= 360; i++) {
//       const t = i / 180 * Math.PI
//       const r = Math.sin(2 * t) * Math.cos(2 * t)
//       data.push([r, i])
//     }
//     return {
//       articleViews: 0,
//       articleNum: 0,
//       videoViews: 0,
//       videoNum: 0,
//       agentNum: 0,
//       companyName: '',
//       deptList: [],
//       queryShop: true,
//       dashboard: {
//         orderCount: 0,
//         userCount: 0
//       },
//
//       notice: [],
//
//
//     }
//   },
//   computed: {
//     ...mapGetters([
//       'name',
//       'roles',
//       'deptId'
//     ])
//   },
//   async created() {
//     this.fetchData()
//     await this.getDeptList()
//     this.roleFunction()
//     this.getTableData()
//   },
//   mounted() {
//
//   },
//   methods: {
//     changeCompany() {
//       this.getTableData()
//       this.deptList.forEach(item => {
//         if (item.businessId === this.company) {
//           this.companyName = item.unitName
//         }
//       })
//     },
//     getDeptList() {
//       return new Promise(resolve => {
//         listAllShop().then(res => {
//           if (res.code === 200) {
//             this.deptList = res.data
//             this.company = this.deptList[0].businessId
//             this.companyName = this.deptList[0].unitName
//             resolve()
//           }
//         })
//       })
//     },
//     fetchData() {
//     },
//     roleFunction() {
//       if (this.roles[0].roleKey !== 'admin') {
//         console.log('this.roles', this.roles)
//         this.queryShop = false
//         this.company = this.deptId
//         this.deptList.forEach(item => {
//           if (item.businessId === this.deptId) {
//             this.companyName = item.unitName
//           }
//         })
//       }
//     },
//     getTableData() {
//       statistics({ businessId: this.company }).then(res => {
//         console.log('get TableData', res)
//         if (res.code === 200) {
//           this.articleViews = res.data.articleViews ? res.data.articleViews : 0
//           this.articleNum = res.data.articleNum ? res.data.articleNum : 0
//           this.videoViews = res.data.videoViews ? res.data.videoViews : 0
//           this.videoNum = res.data.videoNum ? res.data.videoNum : 0
//           this.agentNum = res.data.agentNum ? res.data.agentNum : 0
//         }
//       })
//     }
//   }
// }
